use detee_shared::{
    common_proto::Pubkey, general_proto::brain_general_cli_client::BrainGeneralCliClient,
};
mod common;
use common::prepare_test_env::{prepare_test_setup, TEST_STATE};
use common::test_utils::{get_pub_key, sign_request};

#[tokio::test]
async fn test_general_balance() {
    prepare_test_setup().await;
    let grpc_channel = TEST_STATE.get().unwrap().clone();

    let mut brain_general_cli_client = BrainGeneralCliClient::new(grpc_channel.clone());

    let req_data = Pubkey { pubkey: get_pub_key().unwrap() };

    let acc_bal = brain_general_cli_client
        .get_balance(sign_request(req_data).unwrap())
        .await
        .unwrap()
        .into_inner();

    // verify it in db also

    assert_eq!(acc_bal.balance, 0);
    assert_eq!(acc_bal.tmp_locked, 0);
}
